Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233647 - missing casts in kernel header file cause vmware module build to fail
Summary: missing casts in kernel header file cause vmware module build to fail
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 15:54 UTC by Jonathan Kamens
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-26 05:39:41 UTC


Attachments (Terms of Use)

Description Jonathan Kamens 2007-03-23 15:54:26 UTC
The call to __cpuid in the cpuid_count function in asm-i386/processor.h needs to
cast the four arguments to __cpuid to unsigned int *, to avoid a type warning
when  this header file is used.  This is harmless most of the time, but harmful
when it is used while trying to build vmware modules, since the module build
code treats warnings as errors and hence draws incorrect conclusions about the
availability of various kernel features.

Comment 1 Dave Jones 2007-03-26 05:39:41 UTC
The warnings will be turned off before release.
Building release versions of code with -Werror is a really bad idea anyway.


Note You need to log in before you can comment on or make changes to this bug.